.dot{
    position: relative;
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: $gray;
    color: $gray;
    -webkit-animation: dot-flashing 1s infinite linear alternate;
    animation: dot-flashing 1s infinite linear alternate;
    -webkit-animation-delay: .5s;
    animation-delay: .5s;

    &::before,
    &::after{
        content: '';
        display: inline-block;
        position: absolute;
        top: 0;
    }

    &::before{
        left: -15px;
        width: 10px;
        height: 10px;
        border-radius: 5px;
        background-color: $gray;
        color: $gray;
        -webkit-animation: dot-flashing 1s infinite alternate;
        animation: dot-flashing 1s infinite alternate;
        -webkit-animation-delay: 0s;
        animation-delay: 0s;
    }

    &::after{
        left: 15px;
        width: 10px;
        height: 10px;
        border-radius: 5px;
        background-color: $gray;
        color: $gray;
        -webkit-animation: dot-flashing 1s infinite alternate;
        animation: dot-flashing 1s infinite alternate;
        -webkit-animation-delay: 1s;
    }
}

@keyframes dot-flashing {
    0%{background-color: $gray;}
    50%,100%{background-color: $gray-200;}
}